Bug 253124 - multimedia/ffmpeg: Don't ship static libraries
Summary: multimedia/ffmpeg: Don't ship static libraries
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-multimedia (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-01-31 13:27 UTC by Daniel Engberg
Modified: 2021-02-04 20:20 UTC (History)
1 user (show)

See Also:
tcberner: maintainer-feedback+


Attachments
Patch for ffmpeg (3.72 KB, patch)
2021-01-31 13:27 UTC, Daniel Engberg
no flags Details | Diff
Patch for ffmpeg v2 (4.42 KB, patch)
2021-02-03 17:05 UTC, Daniel Engberg
no flags Details | Diff
Patch for ffmpeg v3 (3.51 KB, patch)
2021-02-03 17:11 UTC, Daniel Engberg
tcberner: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Daniel Engberg freebsd_committer 2021-01-31 13:27:32 UTC
Created attachment 222037 [details]
Patch for ffmpeg

It makes little sense to ship these huge libraries by default so disable by default and make it optional

Compile tested on FreeBSD 13.0-ALPHA2 (amd64) (make, make check-plist)
Comment 1 Daniel Engberg freebsd_committer 2021-02-03 17:05:38 UTC
Created attachment 222131 [details]
Patch for ffmpeg v2

Drop static libraries
Discussed with mat@ and tcberner@ on IRC
Comment 2 Daniel Engberg freebsd_committer 2021-02-03 17:11:47 UTC
Created attachment 222132 [details]
Patch for ffmpeg v3

Clean patch, sorry
Comment 3 Tobias C. Berner freebsd_committer 2021-02-04 20:20:01 UTC
Committed, thanks!
Comment 4 commit-hook freebsd_committer 2021-02-04 20:20:41 UTC
A commit references this bug:

Author: tcberner
Date: Thu Feb  4 20:19:55 UTC 2021
New revision: 564063
URL: https://svnweb.freebsd.org/changeset/ports/564063

Log:
  multimedia/ffmpeg: Don't ship static libraries

  PR:		253124
  Submitted by:	daniel.engberg.lists@pyret.net

Changes:
  head/multimedia/ffmpeg/Makefile
  head/multimedia/ffmpeg/pkg-plist